GET isochrone

graphhopper.com

Summary: Isochrone Endpoint
Operation ID: getIsochrone
Auth: unknown
Description

### Example You can get an example response via: ``` curl "https://graphhopper.com/api/1/isochrone?point=51.131108,12.414551&key=[YOUR_KEY]" ``` Don't forget to replace the placeholder with your own key. ### Introduction ![Isochrone screenshot](./img/isochrone-example.png) An isochrone of a location is ''a line connecting points at which a vehicle arrives at the same time'', see Wikipedia. With the same API you can also calculate isodistances, just use the parameter distance_limit instead of time_limit`. ### Use Cases Some possible areas in which this API may be useful to you: - real estate analysis - realtors - vehicle scheduling - geomarketing - reach of electric vehicles - transport planning - logistics (distribution and retail network planning) ### API Clients and Examples See the [clients](#section/API-Clients) section in the main documentation, and [live examples](https://graphhopper.com/api/1/examples/#isochrone).

Parameters (7)

buckets (integer, query, optional, default: 1)

Number by which to divide the given `time_limit` to create `buckets` nested isochrones of time intervals `time_limit-n*time_limit/buckets`. Applies analogously to `distance_limit`.

distance_limit (integer, query, optional)

Specify which distance the vehicle should travel. In meters.

point (string, query, required)

Specify the start coordinate

reverse_flow (boolean, query, optional, default: False)

If `false` the flow goes from point to the polygon, if `true` the flow goes from the polygon "inside" to the point. Example use case for `false`: *How many potential customer can be reached within 30min travel time from your store* vs. `true`: *How many customers can reach your store within 30min travel time.*

time_limit (integer, query, optional, default: 600)

Specify which time the vehicle should travel. In seconds.

vehicle (?, query, optional)

The vehicle profile for which the route should be calculated.

weighting (string, query, optional, default: fastest)

Use `"shortest"` to get an isodistance line instead of an isochrone.

Constraints: {'enum': ['fastest', 'shortest']}

No probe data for this endpoint yet.